function pi_appr = montecarlo(n, rho)
	% pi_appr = montecarlo(n, rho)
	% Approssima pi con metodo Montecarlo, contando punti random nel cerchio di raggio rho <= 1
	% Se rho non viene dato in input, il valore di default è 1

	if nargin < 2
		rho = 1;
	end
	rho = min(rho, 1);

	xy = 2*rand(n, 2) - 1;	% punti casuali in [-1, 1] x [-1, 1]
	nrm = sqrt(xy(:, 1).^2 + xy(:, 2).^2);
	r = sum(nrm <= rho);
	pi_appr = 4*r / (n*rho^2);

end
