function [ pi ] = pi_montecarlo(n)
%PI_MONTECARLO Approssimazione di Pi greco con un metodo Montecarlo. 
%
% PI = PI_MONTECARLO(N) fornisce l'approssimazione di pi greco ottenuta con
%     un metodo Montecarlo utilizzando N punti random. 

% genera n punti di R2 unif distribuiti su [-1, 1] x [-1, 1]
punti = - 1 * ones(n, 2) + 2 * rand(n, 2); 

% Determiniamo quanti stanno all'interno del cerchio
dentro = sum((punti(:, 1).^2 + punti(:, 2).^2) <= 1);

pi = 4 * dentro / n;

end

