function c = polymul(a, b)
	% c = polymul(a, b)
	% Calcola il prodotto c tra polinomi a e b, dati come vettori di coefficienti, e.g. 
	% a(z) = a(0) + a(1) * z + a(2) * z^2 + ...
	
	m = length(a) - 1;		% grado di a
	n = length(b) - 1;		% grado di b

	% a(:) restituisce un vettore colonna
	% In questo modo concateniamo sempre vettori di dimensioni compatibili:
	a = [a(:); zeros(n, 1)];
	b = [b(:); zeros(m, 1)];

	% Ora a e b hanno la stessa lunghezza, sufficiente per i coefficienti del prodotto c = a*b:
	ax = fft(a);
	bx = fft(b);
	cx = ax.*bx;
	c = ifft(cx);
end
