% Test di convergenza per calcolo di pi con metodo Montecarlo

kmax = 20;
nn = 2.^[1:kmax];
err = zeros(1, kmax);
erravg = zeros(1, kmax);

for k = 1:kmax
	n = 2^k;
	pi_appr = montecarlo(n);
	err(k) = abs(pi - pi_appr);
	% Errore medio su 10 run:
	for j = 1:10
		pi_appr = montecarlo(n);
		erravg(k) = erravg(k) + abs(pi - pi_appr)/10;
	end	
end

semilogy(err, 'xb');	hold on;
semilogy(erravg, '-.b');

% L'ordine di convergenza è 1/sqrt(n):
nn = 2.^[1:kmax];
rate = erravg.*sqrt(nn);