% Test di convergenza per calcolo di pi con metodo Montecarlo, con diversi valori del raggio rho

kmax = 20;
nn = 2.^[1:kmax];
err1 = zeros(1, kmax);
erravg1 = zeros(1, kmax);
err2 = zeros(1, kmax);
erravg2 = zeros(1, kmax);

for k = 1:kmax
	n = 2^k;
	% Approssimazione nel cerchio unitario:
	pi_appr1 = montecarlo(n);
	err1(k) = abs(pi - pi_appr1);
	% Errore medio su 10 run:
	for j = 1:10
		pi_appr1 = montecarlo(n);
		erravg1(k) = erravg1(k) + abs(pi - pi_appr1)/10;
	end	
	% Approssimazione nel cerchio di raggio 1/2:
	rho = 0.5;
	pi_appr2 = montecarlo(n, rho);
	err2(k) = abs(pi - pi_appr2);
	% Errore medio su 10 run:
	for j = 1:10
		pi_appr2 = montecarlo(n, rho);
		erravg2(k) = erravg2(k) + abs(pi - pi_appr2)/10;
	end	
end

semilogy(err1, 'xb');	hold on;
semilogy(erravg1, '-.b');
semilogy(err2, 'xr');
semilogy(erravg2, '-.r');