function y = toeplitz_vector(c, r, x)
	% y = toeplitz_vector(c, r, x)
	% Calcola il prodotto tra una matrice di Toeplitz T e il vettore x
	% I vettori c ed r contengono rispettivamente la prima colonna e la prima riga di T

	n = length(x);

	% Ignoro la diagonale nella parte triangolare superiore:
	r(1) = 0;

	yl = lower_toeplitz_vector(c, x);	% prodotto con parte triangolare inferiore
	yu = upper_toeplitz_vector(r, x);	% prodotto con parte strettamente triangolare superiore
	y = yl + yu;

end
