function y = upper_toeplitz_vector(r, x)
	% y = upper_toeplitz_vector(c, x)
	% Calcola il prodotto tra una matrice di Toeplitz triangolare superiore T e il vettore x.
	% Il vettore r contiene la prima riga di T

	n = length(x);

	% Le entrate di y sono i primi n coefficienti in ordine invertito del prodotto 
	% tra polinomi r(z) e x(z), dove i coefficienti di x(z) sono le entrate di x in ordine invertito
	y = polymul(r, x(end:-1:1));
	y = y(n:-1:1);

end
